Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class EffectParameter.Hint

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.EffectParameter.Hint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  EffectParameter

    public static final class EffectParameter.Hint

extends java.lang.Enum
implements QtEnumerator

Only for backend developers.

Flags to set the return values of `isToggleControl()` , `isLogarithmicControl()`, `isIntegerControl()` , `isBoundedBelow()` and `isBoundedAbove()` . The values of the flags correspond to the values used for LADSPA effects.

See Also:
  Serialized Form

Field Summary
`static EffectParameter.Hint` | `IntegerHint`
`static EffectParameter.Hint` | `LogarithmicHint`
`static EffectParameter.Hint` | `ToggledHint`

Method Summary
`static EffectParameter.Hints` | `createQFlags(EffectParameter.Hint[] values)` This function creates a com.trolltech.qt.phonon.EffectParameter$Hints with the specified `com.trolltech.qt.phonon.EffectParameter$Hint[]` Hint values set.
`static EffectParameter.Hint` | `resolve(int value)` Returns the Hint constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static EffectParameter.Hint` | `valueOf(java.lang.String name)`
`static EffectParameter.Hint[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ToggledHint

    public static final EffectParameter.Hint ToggledHint

### LogarithmicHint

    public static final EffectParameter.Hint LogarithmicHint

### IntegerHint

    public static final EffectParameter.Hint IntegerHint

Method Detail

### values

    public static EffectParameter.Hint[] values()

### valueOf

    public static EffectParameter.Hint valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static EffectParameter.Hints createQFlags(EffectParameter.Hint[] values)

  This function creates a com.trolltech.qt.phonon.EffectParameter$Hints with the specified `com.trolltech.qt.phonon.EffectParameter$Hint[]` Hint values set.

### resolve

    public static EffectParameter.Hint resolve(int value)

  Returns the Hint constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD